/*
* Styling of the persistence controls:
*       Delete
*       Save as:
*           JSON
*           SVG
*           PNG
*/
@mixin persistence-controls {
    @include abs($bottom: d("fixed-inner"), $left: d("fixed-inner"));
    @extend %row;

    height: d("default-ui-element");
    background-color: color("white");
    z-index: z("above-all");

    > #copy-code-btn {
        position: fixed;
        top: 25px;
        left: 25px;

        height: 30px;
        padding: 2px;

        border: none;
        z-index: z("above-all");

        img {
            height: 100%;
        }

        span {
            display: none;
        }

        &:hover {
            img {
                display: none;
            }
            span {
                display: block;
                color: color("orange");
            }
        }

    }
    
    > div {
        height: 100%;
        padding: 0 5px;
        border: 1px solid color("gray");

        &:first-of-type {
            border-top-left-radius: d("border-radius");
            border-bottom-left-radius: d("border-radius");
        }

        &:last-of-type {
            @extend %row;

            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;

            > button {
                display: none;
                background-color: transparent;
                padding: 0 5px;
                
                &:not(:last-of-type) {
                    margin-right: 5px;
                }
            }

            &:hover {
                img {
                    display: none;
                }

                button {
                    display: block;
                }
            }
        }

        button {
            height: 100%;
            background-color: transparent;
            border: none;
        }

        img {
            margin-top: 10%;
            height: 80%;
        }
    }
}